> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Initiate withdrawal.



## OpenAPI

````yaml post /transfer/withdraw
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /transfer/withdraw:
    post:
      tags:
        - Transfer
      summary: Withdraw
      description: Initiate withdrawal.
      operationId: post-transfer-withdraw
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountNumber: ''
                address: ''
                amount: 0
                bankCode: ''
                currency: ''
                fromAccount: ''
                mobileNetwork: ''
                network: ''
                otp: ''
                shortcode: ''
                transactionReference: ''
                type: ''
              properties:
                accountNumber:
                  type: string
                address:
                  type: string
                amount:
                  type: number
                bankCode:
                  type: string
                currency:
                  enum:
                    - BNB
                    - BTC
                    - ETH
                    - USDC
                    - USDT
                    - CUSD
                    - NGN
                    - GHS
                    - KES
                  type: string
                fromAccount:
                  type: string
                mobileNetwork:
                  enum:
                    - Safaricom
                    - Airtel
                  type: string
                network:
                  enum:
                    - avalanche
                    - base
                    - binance
                    - bitcoin
                    - celo
                    - ethereum
                    - polygon
                    - tron
                    - solana
                    - MOBILE
                    - BUY_GOODS
                    - PAYBILL
                  type: string
                otp:
                  description: >-
                    6 digit otp from authenticator app; required if withdrawal
                    request is made with jwt token
                  type: string
                shortcode:
                  description: mobile number of the recipient
                  type: string
                transactionReference:
                  type: string
                type:
                  enum:
                    - crypto
                    - naira
                    - ghanaiancedis
                    - kenyanshilling
                  type: string
              required:
                - fromAccount
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  message: request completed
                properties:
                  message:
                    type: string
                type: object
          description: post transfer withdraw ok
        '400':
          content:
            application/json:
              schema:
                example:
                  message: wrong network address
                properties:
                  message:
                    type: string
                type: object
          description: post transfer withdraw bad request
        '401':
          content:
            application/json:
              schema:
                example:
                  message: no withdrawal api key cannot access POST /transfer/withdraw
                properties:
                  message:
                    type: string
                type: object
          description: post transfer withdraw unauthorized
        '409':
          content:
            application/json:
              schema:
                example:
                  message: transactionReference already exist
                properties:
                  message:
                    type: string
                type: object
          description: post transfer withdraw conflict
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````